/*
 * ApplicationDataSpace.java
 *
 * Created on 15 de octubre de 2006, 11:33
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package objectgen.gui.commands;

import java.util.Hashtable;

/**
 * This is a singleton class to store values and objects needed 
 * for executing a sequence of operations, like generate behaviour
 * diagram and, then, generate test objectives.
 * 
 * @author Rincew
 */
public class ApplicationDataSpace {
    
    private static ApplicationDataSpace instance;
    private Hashtable dataSpace;
    
    /** Creates a new instance of ApplicationDataSpace */
    private ApplicationDataSpace () {
        this.instance = null;
        this.dataSpace = new Hashtable();
    }
    
    /** **/
    public static ApplicationDataSpace getInstance() {
        if (ApplicationDataSpace.instance == null)
            ApplicationDataSpace.instance = new ApplicationDataSpace();
        
        return ApplicationDataSpace.instance;
    }
    
    /** **/
    public void put(String key, Object value) {
        this.dataSpace.put (key, value);
    }
    
    /** **/
    public Object get(String key) {
        return this.dataSpace.get (key);
    }
}
